﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using QRcare.API.Repositories;
using QRcare.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.Json;
using System.Threading.Tasks;

namespace QRcare.API.Controllers
{
    [ApiController]
    [Route("/login")]
    public class LoginController : ControllerBase
    {

        private readonly ILoginRep loginRep;
        public LoginController(ILoginRep loginRep)
            {
                this.loginRep = loginRep;
            }
        

        [HttpPost]

        public async Task<ActionResult<UserLogin>> LoginMobile(UserLogin userLogin)
        {
            var result = await loginRep.LoginMobile(userLogin);
            try
            {
                if (result is not null)
                {
                    return result;
                }
                return Unauthorized(); 
            }
            catch (Exception)
            {
               return Unauthorized();
            }
        }
    }
}
