﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace QRcare.API.Migrations
{
    public partial class fixRelation : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PresentDiagnoses_PatientPersonalProfiles_PatientPersonalProfilePatientId",
                table: "PresentDiagnoses");

            migrationBuilder.DropIndex(
                name: "IX_PresentDiagnoses_PatientPersonalProfilePatientId",
                table: "PresentDiagnoses");

            migrationBuilder.DropColumn(
                name: "PatientPersonalProfilePatientId",
                table: "PresentDiagnoses");

            migrationBuilder.CreateIndex(
                name: "IX_PresentDiagnoses_PatientPresentFK",
                table: "PresentDiagnoses",
                column: "PatientPresentFK");

            migrationBuilder.AddForeignKey(
                name: "FK_PresentDiagnoses_PatientPersonalProfiles_PatientPresentFK",
                table: "PresentDiagnoses",
                column: "PatientPresentFK",
                principalTable: "PatientPersonalProfiles",
                principalColumn: "PatientId",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PresentDiagnoses_PatientPersonalProfiles_PatientPresentFK",
                table: "PresentDiagnoses");

            migrationBuilder.DropIndex(
                name: "IX_PresentDiagnoses_PatientPresentFK",
                table: "PresentDiagnoses");

            migrationBuilder.AddColumn<string>(
                name: "PatientPersonalProfilePatientId",
                table: "PresentDiagnoses",
                type: "nvarchar(20)",
                nullable: false,
                computedColumnSql: "[PatientPresentFK]");

            migrationBuilder.CreateIndex(
                name: "IX_PresentDiagnoses_PatientPersonalProfilePatientId",
                table: "PresentDiagnoses",
                column: "PatientPersonalProfilePatientId");

            migrationBuilder.AddForeignKey(
                name: "FK_PresentDiagnoses_PatientPersonalProfiles_PatientPersonalProfilePatientId",
                table: "PresentDiagnoses",
                column: "PatientPersonalProfilePatientId",
                principalTable: "PatientPersonalProfiles",
                principalColumn: "PatientId",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
