﻿using QRcare.Models;
using QRcare.Services;
using System;
using System.Collections.Generic;
using System.Text;

namespace QRcare.ViewModels
{
    class ProfilePageViewModel:BaseViewModel
    {

        private UserModel userModel;
        private string name;
        private string insuranceNum;
        private string email;
        private string phoneNum;

        public ProfilePageViewModel()
        {
            Title = "Profile";
           
        }
        public string Name
        {
            get { return name; }
            set
            {
                SetProperty(ref name, value);
            }
        }
        public string InsuranceNum
        {
            get { return insuranceNum; }
            set
            {
                SetProperty(ref insuranceNum, value);
            }
        }
        public string Email
        {
            get { return email; }
            set
            {
                SetProperty(ref email, value);
            }
        }
        public string PhoneNum
        {
            get { return phoneNum; }
            set
            {
                SetProperty(ref phoneNum, value);
            }
        }
        public void OnAppearing()
        {
            LoadQRKey();
        }
        public async void LoadQRKey()
        {
            userModel = await QRKeyService.GetPatientProfile(DataStore.GetUser().Result);
            Name = userModel.FirstName + " " + userModel.LastName;
            PhoneNum = userModel.PhoneNumber;
            Email = userModel.Email;
            InsuranceNum = userModel.InsuranceNumber;
        }
    }
}
