﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace QRcare.Models
{
    public class PatientPersonalProfile
    {
        [Required]
        public string PatientId { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }
        [Required]
        public DateTime DateOfBirht { get; set; }
        [Required]
        public string Gender { get; set; }
        [Required]
        [EmailAddress]
        public string Email { get; set; }
        [Required]
        public string PhoneNumber { get; set; }
        [Required]
        public string InsuranceNumber { get; set; }
        [Required]
        public string InsuranceKod { get; set; }
        public Anamnesis Anamnesis { get; set; }
        public ICollection<PresentDiagnose> PresentDiagnoses { get; set; }
       
    }
}
