﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;

using QRcare.Models;


namespace QRcare.WebApp.Serviceses
{
    public class PatientSer : IPatientSer
    {
        private readonly HttpClient httpClient;
        public PatientSer(HttpClient httpClient)
        {
            this.httpClient = httpClient;
        }

        public async Task<PatientPersonalProfile> GetPatient(string patientId)
        {
            try
            {
                return await httpClient.GetFromJsonAsync<PatientPersonalProfile>($"patient/{patientId}");
            }
            catch (Exception)
            {
                return null;

            }
            
        }
    }
}
