﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Net.Http;
using System.Net.Http.Json;
using QRcare.Models;


namespace QRcare.WebApp.Serviceses
{
    public class PresentDiagnoseSer : IPresentDiagnoseSer
    {
        private readonly HttpClient httpClient;

        public PresentDiagnoseSer(HttpClient httpClient)
        {
            this.httpClient = httpClient;
        }

        public async Task CreatePresentDiagnose(PresentDiagnose presentDiagnose)
        {
            await httpClient.PostAsJsonAsync<PresentDiagnose>("diagnose", presentDiagnose);
        }

        public async Task<IEnumerable<PresentDiagnose>> GetPresentDiagnoses(string patientId)
        {
            return await httpClient.GetFromJsonAsync<PresentDiagnose[]>($"diagnose/{patientId}");

        }
    }
}
