﻿using QRcare.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace QRcare.Services
{
    public class MockDataStore : IDataStore<UserLogin>
    {
        public UserLogin userLogin = new UserLogin();
        
        public async Task<bool> AddUserAsync(UserLogin user)
        {
            userLogin =user;
            return await Task.FromResult(true);
        }

        public async Task<UserLogin> GetUser()
        {
            return await Task.FromResult(userLogin);
        }

        public async Task<string> GetUserId()
        {
            return await Task.FromResult(userLogin.UserId);
        }
        public async Task<string> GetUsername()
        {
            return await Task.FromResult(userLogin.UserName);
        }
    }
}