﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Net.Http;
using System.Net.Http.Json;
using QRcare.Models;
using Newtonsoft.Json;

namespace QRcare.WebApp.Serviceses
{
    public class QRKeySer : IQRKeySer
    {
        private readonly HttpClient httpClient;

        public QRKeySer(HttpClient httpClient)
        {
            this.httpClient = httpClient;
        }

        public async Task<string> GetPatientId(string Key)
        {
            try
            {
                var response = await httpClient.GetStringAsync($"/key/{Key}");
                return JsonConvert.DeserializeObject<string>(response);
            }
            catch (Exception)
            {
                return null;
            }
            
        }
      
    }
}
